/*
 * IcmpTimeoutException.java 
 *
 * Copyright (c) Verax Systems.
 * All rights reserved.
 *
 * This software is furnished under a license. Use, duplication,
 * disclosure and all other uses are restricted to the rights
 * specified in the written license agreement.
 */
package com.veraxsystems.icmp.jni.exception;

import com.veraxsystems.icmp.jni.IcmpJniBridge;
import com.veraxsystems.icmp.jni.exception.IcmpException;


/**
 * Exception used when timeout occurs during {@link IcmpJniBridge#receive()} operation.
 */
public class IcmpTimeoutException extends IcmpException 
{

   static final private String message = "Timeout on socket operation";
   
   /**
    * Constructor
    */
   public IcmpTimeoutException() 
   {
      super(message);
   } /* IcmpTimeoutException */
   
}
